package com.kingdee.eas.custom.htjd;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ContractEndCollection extends AbstractObjectCollection 
{
    public ContractEndCollection()
    {
        super(ContractEndInfo.class);
    }
    public boolean add(ContractEndInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ContractEndCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ContractEndInfo item)
    {
        return removeObject(item);
    }
    public ContractEndInfo get(int index)
    {
        return(ContractEndInfo)getObject(index);
    }
    public ContractEndInfo get(Object key)
    {
        return(ContractEndInfo)getObject(key);
    }
    public void set(int index, ContractEndInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ContractEndInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ContractEndInfo item)
    {
        return super.indexOf(item);
    }
}